Bug 1127952 - [mate-volume-control-applet] there is no option to activate/deactivate auto-mute
Summary: [mate-volume-control-applet] there is no option to activate/deactivate auto-mute
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-media
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 00:58 UTC by Arnaud
Modified: 2015-06-29 21:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:58:31 UTC


Attachments (Terms of Use)
Screenshot-Sound Preferences (37.96 KB, image/png)
2014-08-09 11:07 UTC, Wolfgang Ulbrich
no flags Details
Sound Preference, headphone plugged in (41.03 KB, image/png)
2014-08-09 22:44 UTC, Arnaud
no flags Details
qasmixer, headphone plugged in (39.52 KB, image/png)
2014-08-09 22:44 UTC, Arnaud
no flags Details

Description Arnaud 2014-08-08 00:58:33 UTC
Description of problem:
There is no option to be able to activate or deactivate auto-mute for the headphone, or at least its status.


Version-Release number of selected component (if applicable):
mate-media-1.8.0-2.fc20.x86_64


Additional info:
I had to use qasmixer to find out that it was deactivated and that the sound would not mute when I was pluging the headphone jack in.

Comment 1 Wolfgang Ulbrich 2014-08-09 11:07:26 UTC
Created attachment 925366 [details]
Screenshot-Sound Preferences

Comment 2 Wolfgang Ulbrich 2014-08-09 11:08:21 UTC
Hmm, you're right, plug in the headphone in my laptop mutes the laptop speaker and the headphone.
But there is a un-mute/mute checkbox in mate's (pulseaudio) sound preferences.
See screenshot.
Also the loudspeaker symbol shows that it is muted when you plugin the the headphone.

Comment 3 Arnaud 2014-08-09 22:41:43 UTC
The auto-mute option works correctly in my system once it is activated in qasmixer (seakers get muted, and not the headphone)

The un-mute/mute checkbox in sound preference mutes all speakers and heaphone.
(and doesn't shot that it is muted when I plug the heaphone (or looked at the wrong place, even changed to default icon theme)

Comment 4 Arnaud 2014-08-09 22:43:26 UTC
The screenshots are when the heaphone is plugged in.

Comment 5 Arnaud 2014-08-09 22:44:04 UTC
Created attachment 925409 [details]
Sound Preference, headphone plugged in

Comment 6 Arnaud 2014-08-09 22:44:49 UTC
Created attachment 925410 [details]
qasmixer, headphone plugged in

Comment 7 Wolfgang Ulbrich 2014-08-09 22:57:14 UTC
I'm not shure that i understand the prob.
Do you think there is a mismatch between settings is QAS-mixer and mate-sound-preferences?
In this case i think it is an pulseaudio prob.
Can you use the un-mute/mute checkbox in mate's (pulseaudio) sound preferences for disable/enable your headphone?

Comment 8 Arnaud 2014-08-09 23:13:22 UTC
Nope, I cannot use the mute/un-mute in the sound preference, as it mutes all (speakers and headphone).

The Auto-Mute mode in qamixer, mutes automatically the sound of the speakers when I plug the headphone jack in, and unmutes the speakers when I unplug it.

The only way I had found, was to activate the Auto-Mute Mode in qas-mixer, to be able to mute the speaker and listen to music in headphone.

Comment 9 Wolfgang Ulbrich 2014-08-09 23:22:06 UTC
To be shure that it isn't a general issue with pulseaudio.
Can you test 'pavucontrol' (org. pulsaudio mixer)?
Do you have different results?

Comment 10 Wolfgang Ulbrich 2014-08-10 00:19:36 UTC
https://github.com/mate-desktop/mate-media/issues/46

Comment 11 Fedora End Of Life 2015-05-29 12:35:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Wolfgang Ulbrich 2015-05-31 15:31:13 UTC
Test for M. Schwendt :)

Comment 13 Fedora Admin XMLRPC Client 2015-06-17 22:20:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2015-06-29 21:58:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.